package com.bytedance.android.livesdk.livesetting.banner;

import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_effect_music_fade_duration")
public final class LiveEffectMusicFadeDurationSetting {
    @Group(isDefault = true, value = "default group")
    public static final int DEFAULT = 6000;
    public static final LiveEffectMusicFadeDurationSetting INSTANCE = new LiveEffectMusicFadeDurationSetting();

    static {
        Covode.recordClassIndex(17617);
    }

    public final int getValue() {
        return SettingsManager.INSTANCE.getIntValue(LiveEffectMusicFadeDurationSetting.class);
    }
}
